be.fgov.ehealth.addressbook.protocol.v1

## Class SearchProfessionalsResponse

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.ResponseType
  - - be.fgov.ehealth.commons.protocol.v2.StatusResponseType
    - - be.fgov.ehealth.commons.protocol.v2.PaginationStatusResponseType
      - - be.fgov.ehealth.addressbook.protocol.v1.SearchProfessionalsResponse

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:57:54+01:00",
                 comments="JAXB RI v2.3.7")
      public class SearchProfessionalsResponse
      extends PaginationStatusResponseType
      implements Serializable

  Return all healthcare professionals that macth to a given set of criteria

  Java class for SearchProfessionalsResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SearchProfessionalsResponseType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}PaginationStatusResponseType">
             <sequence>
               <element ref="{urn:be:fgov:ehealth:aa:complextype:v1}HealthCareProfessional" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchProfessionalsResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<HealthCareProfessional>` | `getHealthCareProfessionals()` Gets the value of the healthCareProfessionals property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.PaginationStatusResponseType

      `getMaxElements, getOffset, setMaxElements, setOffset`

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType

      `getStatus, setStatus`

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

      `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SearchProfessionalsResponse

          public SearchProfessionalsResponse()

  - ### Method Detail

    - #### getHealthCareProfessionals

          public List<HealthCareProfessional> getHealthCareProfessionals()

      Gets the value of the healthCareProfessionals property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the healthCareProfessionals property.

      For example, to add a new item, do as follows:

              getHealthCareProfessionals().add(newItem);

      Objects of the following type(s) are allowed in the list `HealthCareProfessional`

Connector Packaging PERSPRACTICALNURSE 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.